changeset 112:7da9bd82122c

Remove --long option, always do full documentation generation instead.
author Rob Landley <rob@landley.net>
date Mon, 02 May 2011 14:19:11 -0500
parents 09c09067584c
children a5cfece4556a
files make/make.sh
diffstat 1 files changed, 10 insertions(+), 23 deletions(-) [+]
line wrap: on
line diff
--- a/make/make.sh	Mon May 02 14:15:35 2011 -0500
+++ b/make/make.sh	Mon May 02 14:19:11 2011 -0500
@@ -19,18 +19,10 @@
 echo "Set up Linux build directory"
 setuplinuxtemp || exit 1
 
-if [ "$1" == "--long" ]
-then
-  # I have a dual processor laptop, so overlap work here.  Have make htmldocs
-  # produce split-up versions in the background (which is very slow)
-  # while other work is done in the foreground.
-  make_htmldocs > /dev/null 2>/dev/null &
-fi
-
 echo "Install and index Documentation directory."
 update_documentation_dir || exit 1
 
-echo "Update master index."
+#echo "Update master index."
 #update_master || exit 1
 
 echo "Mirror resources"
@@ -42,21 +34,16 @@
 echo Convert kconfig to html for all architectures
 htmlize_menuconfig || exit 1
 
-# Install the htmldocs
-if [ "$1" == "--long" ]
-then
-  echo Build nochunks htmldocs.
-  make_htmlnochunks || exit 1
+echo Make htmldocs
+make_htmldocs
+
+echo Build nochunks htmldocs.
+make_htmlnochunks || exit 1
 
-  echo Search for references to RFC documents
-  findrfc || exit 1
+echo Search for references to RFC documents
+findrfc || exit 1
 
-  # Wait for background task(s) to finish.  If there aren't any, this continues
-  # immediately.
-  wait4background
-
-  # Install the htmldocs
-  install_htmldocs || exit 1
-fi
+# Install the htmldocs
+install_htmldocs || exit 1
 
 echo "Done with kdocs"